@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

:root {
	--header-height: 3rem;
	--title-color: #0b0a0a;
	--text-color: #403a3a;
	--text-color-light: #707070;
	--container-color: #fafafa;
	--container-color-alt: #f0efef;
	--body-color: #f9f9f9;
	--body-font: 'Poppins', sans-serif;
	--h1-font-size: 1.5rem;
	--h2-font-size: 1.25rem;
	--h3-font-size: 1rem;
	--normal-font-size: .938rem;
	--small-font-size: .875rem;
	--smaller-font-size: .813rem;
	--font-medium: 500;
	--font-semi-bold: 600;
	--mb-1: .5rem;
	--mb-2: 1rem;
	--mb-3: 1.5rem;
	--z-tooltip: 10;
	--z-fixed: 100;
}

/* base */
*,
::before,
::after {
	box-sizing: border-box;
}

html {
	scroll-behavior: smooth;
}

body {
	margin: var(--header-height) 0 0 0;
	font-family: var(--body-font);
	font-size: var(--normal-font-size);
	background-color: var(--body-color);
	color: var(--text-color);
}

body {
	margin: 0 0 var(--header-height) 0;
	padding: 0;
	font-family: var(--body-font);
	font-size: var(--normal-font-size);
	background-color: var(--body-color);
	color: var(--text-color);
}

h1,
h2,
h3,
ul,
p {
	margin: 0;
}

h1,
h2,
h3 {
	color: var(--title-color);
	font-weight: var(--font-medium);
}

ul {
	padding: 0;
	list-style: none;
}

a {
	text-decoration: none;
}

img {
	max-width: 100%;
	height: auto;
}

/* class css */

.section {
	padding: 1.5rem 0;
}

.section-title {
	font-size: var(--h2-font-size);
	color: var(--title-color);
	font-weight: var(--font-semi-bold);
	text-transform: uppercase;
	letter-spacing: .35rem;
	text-align: center;
	margin-bottom: var(--mb-3);
}

/* layout */

.bd-container {
	max-width: 968px;
	width: calc(100% - 3rem);
	margin-left: var(--mb-3);
	margin-right: var(--mb-3);
}

.bd-grid {
	display: grid;
	gap: 1.5rem;
}

.l-header {
	width: 100%;
	position: fixed;
	bottom: 0;
	left: 0;
	z-index: var(--z-fixed);
	background-color: var(--body-color);
	box-shadow: 0 -1px 4px rgb(0 0 0 / 10%);
	transition: .3s;
}

/* nav */

.nav {
	height: var(--header-height);
	display: flex;
	justify-content: space-between;
	align-items: center;
}

@media screen and (width <=968px) {
	.nav__menu {
		position: fixed;
		bottom: -100%;
		left: 0;
		width: 100%;
		padding: 2rem 1.5rem;
		background-color: var(--body-color);
		box-shadow: 0 1px 4px rgb(0 0 0 / 10%);
		border-radius: 1rem 1rem 0 0;
		z-index: var(--z-fixed);
		transition: .3s;
	}
}

.nav__logo,
.nav__toggle {
	color: var(--title-color);
	font-weight: var(--font-medium);
}

.nav__toggle {
	font-size: 1.2rem;
	cursor: pointer;
}

.nav__item {
	text-align: center;
}

.nav__list {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 2rem;
}

.nav__link {
	display: flex;
	flex-direction: column;
	font-size: var(--small-font-size);
	color: var(--text-color-light);
	font-weight: var(--font-medium);
}

.nav__link:hover {
	color: var(--title-color);
}

.nav__icon {
	font-size: 1.2rem;
	margin-bottom: var(--mb-1);
}

/* show menu */

.show-menu {
	bottom: var(--header-height);
}

/* active link */

.active-link {
	color: var(--title-color);
}

/* home */

.home {
	position: relative;
}

.home__container {
	gap: 3rem;
}

.home__data {
	gap: .5rem;
	text-align: center;
}

.home__img {
	width: 120px;
	height: 120px;
	border-radius: 50%;
	justify-self: center;
	margin-bottom: var(--mb-1);
}

.home__title {
	font-size: var(--h1-font-size);
}

.home__profession {
	font-size: var(--normal-font-size);
	margin-bottom: var(--mb-1);
}

.home__address {
	gap: 1rem;
}

.home__information {
	display: flex;
	align-items: center;
	font-size: var(--small-font-size);
}

.home__icon {
	font-size: 1.2rem;
	margin-right: 1rem;
}

/* social */

.social__container {
	grid-template-columns: max-content;
	gap: 1rem;
}

.social__link {
	display: inline-flex;
	align-items: center;
	font-size: var(--small-font-size);
	color: var(--text-color);
}

.social__link:hover {
	color: var(--title-color);
}

.social__icon {
	font-size: 1.2rem;
	margin-right: .25rem;
}

/* profile */

.profile__description {
	text-align: center;
}

/* education  and experience */

.education__content,
.experience__content {
	display: flex;

}

.education__time,
.experience__time {
	padding-right: 1rem;
}

.education__rounder,
.experience__rounder {
	position: relative;
	display: block;
	width: 16px;
	height: 16px;
	background-color: var(--text-color-light);
	border-radius: 50%;
	margin-top: .25rem;
}

.education__line,
.experience__line {
	display: block;
	width: 2px;
	height: 110%;
	background-color: var(--text-color-light);
	transform: translate(7px, 0);
}

.education__data,
.experience__data {
	gap: .5rem;
}

.education__title,
.experience__data {
	font-size: var(--h3-font-size);
}

.education__studies,
.experience__company {
	font-size: var(--small-font-size);
	color: var(--title-color);
}

.education__year {
	font-size: var(--smaller-font-size);
}

/* skills and languages */

.skills__content,
.languages__content {
	grid-template-columns: repeat(2, 1fr);
	gap: 0;
}

.skills__name,
.languages__name {
	display: flex;
	align-items: center;
	margin-bottom: var(--mb-3);
}

.skills__circle,
.languages__circle {
	display: inline-block;
	width: 5px;
	height: 5px;
	background-color: var(--text-color);
	border-radius: 50%;
	margin-right: .75rem;
}

/* certificates */

.certificates__title {
	font-size: var(--h3-font-size);
	margin-bottom: var(--mb-1);
}

/* interests */

.interests__container {
	grid-template-columns: repeat(2, 1fr);
	margin-top: var(--mb-2);
}

.interests__content {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.interests__icon {
	font-size: 1.5rem;
	color: var(--text-color-light);
	margin-bottom: .25rem;
}

/* scroll */

.scrolltop {
	position: fixed;
	right: 1rem;
	bottom: -20%;
	display: flex;
	justify-content: center;
	align-items: center;
	padding: .3rem;
	background-color: var(--container-color-alt);
	opacity: .8;
	border-radius: .4rem;
	z-index: var(--z-tooltip);
	transition: .4s;
	visibility: hidden;
}

.scrolltop__icon {
	font-size: 1.2rem;
	color: var(--text-color);
}

.show-scroll {
	bottom: 5rem;
	visibility: visible;
}

/* media queries */

@media screen and (width <=320px) {
	.nav__list {
		grid-template-columns: repeat(2, 1fr);
		gap: 1rem .5rem;
	}
}

@media screen and (width >=968px) {
	body {
		margin: 3rem 0;
	}

	.bd-container {
		margin-left: auto;
		margin-right: auto;
	}

	.l-header,
	.scrolltop {
		display: none;
	}

	.resume {
		display: grid;
		grid-template-columns: .5fr 1fr;
		background-color: var(--container-color);
		box-shadow: 0 0 8px rgb(13 12 12 / 15%);
	}

	.resume__left {
		background-color: var(--container-color-alt);
	}

	.resume__left,
	.resume__right {
		padding: 0 1.5rem;
	}

	.section-title,
	.profile__description {
		text-align: initial;
	}

	.languages__container,
	.interests__container {
		grid-template-columns: repeat(4, max-content);
		column-gap: 3.5rem;
	}

	.home__container {
		gap: 1.5rem;
	}
}